Bug 1626231 - Review Request: python-pyvirtualize - Python module to access and manage VMware
Summary: Review Request: python-pyvirtualize - Python module to access and manage VMware
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-09-06 19:19 UTC by Raphael Groner
Modified: 2019-04-03 18:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-04 10:00:00 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1493946 None CLOSED Please update to v6.7.1 2019-01-12 10:34:54 UTC

Internal Links: 1493946

Description Raphael Groner 2018-09-06 19:19:20 UTC
Spec URL: https://raphgro.fedorapeople.org/review/py/pyvirtualize/pyvirtualize.spec
SRPM URL: https://raphgro.fedorapeople.org/review/py/pyvirtualize/pyvirtualize-0.9-1.20180205git4b01f44.fc29.src.rpm
Description: A python interface to access and manage VMware.
Fedora Account System Username: raphgro

Test build: https://koji.fedoraproject.org/koji/taskinfo?taskID=29518490

Comment 1 Robert-André Mauchin 2018-09-08 14:53:26 UTC
 - Let's use the correct version in setup.py:

# https://github.com/rocky1109/pyVirtualize/pull/5
sed -i "s|VERSION = '0.1'|VERSION = '0.9'|" setup.py


 - Globbing %{python2_sitelib}/* / %{python3_sitelib}/* is now forbidden. See https://pagure.io/packaging-committee/issue/782

%if %{with python2}
%files -n python2-%{name}
# FIXME ask upstream for license file
%doc README.md
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%endif

%if %{with python3}
%files -n python%{python3_version}-%{name}
# FIXME ask upstream for license file
%doc README.md
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%endif


 - Python 2 is soon to be deprecated. Let's make this work with Python 3 instead. I sent a PR upstream and it was accepted as: 542a46abeea9f22ce21de683c79299f381c40b50

%global date    20180908
%global commit0 542a46abeea9f22ce21de683c79299f381c40b50


   And

* Sat Sep 08 2018 Raphael Groner <projects.rg@smart.ms> - 0.9-1.20180908git542a46a



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (unspecified)", "*No copyright* Apache", "Unknown or
     generated". 71 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/pyvirtualize/review-
     pyvirtualize/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: pyvirtualize-doc-0.9-1.20180908git542a46a.fc30.noarch.rpm
          pyvirtualize-0.9-1.20180908git542a46a.fc30.src.rpm
pyvirtualize.src: W: spelling-error %description -l en_US pyVmomi -> pyromania
pyvirtualize.src: W: spelling-error %description -l en_US vSphere -> v Sphere, sphere
pyvirtualize.src: W: spelling-error %description -l en_US datacenters -> data centers, data-centers, entertainers
pyvirtualize.src: W: spelling-error %description -l en_US VMs -> V Ms, Ms, PMs
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Comment 2 Raphael Groner 2018-10-02 19:42:23 UTC
Still delayed due to all those needed but missing dependencies. Thanks for your patience.

Comment 3 Raphael Groner 2018-10-21 18:48:07 UTC
First need to fix python-pyvmomi as the main dependency. There's a need for a package in epel7, see bug #1493946.

Comment 4 Raphael Groner 2018-11-01 22:07:31 UTC
Spec URL: https://raphgro.fedorapeople.org/review/py/pyvirtualize/pyvirtualize.spec
SRPM URL: https://raphgro.fedorapeople.org/review/py/pyvirtualize/python-pyvirtualize-0.9-2.20181003git57d2307.fc29.src.rpm

Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=30599708

* Thu Nov 01 2018 Raphael Groner <> - 0.9-2.20181003git57d2307
- use current snapshot
- use python3 only in Fedora but still also python2 in EPEL
- introduce modname macro

Comment 5 Robert-André Mauchin 2018-11-08 16:15:26 UTC
 - Rename your SPEC python-pyvirtualize.spec

 - Remove sphinx-build leftover:

python-pyvirtualize-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-pyvirtualize-doc/html/.buildinfo
python-pyvirtualize-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-pyvirtualize-doc/html/.nojekyll
python-pyvirtualize-doc.noarch: E: zero-length /usr/share/doc/python-pyvirtualize-doc/html/.nojekyll



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files

===== SHOULD items =====

Generic:
[-]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-pyvirtualize , python-pyvirtualize-doc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Bad spec filename: /home/bob/packaging/review/pyvirtualize
     /review-python-pyvirtualize/srpm-unpacked/pyvirtualize.spec
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python3-pyvirtualize-0.9-2.20181003git57d2307.fc30.noarch.rpm
          python-pyvirtualize-doc-0.9-2.20181003git57d2307.fc30.noarch.rpm
          python-pyvirtualize-0.9-2.20181003git57d2307.fc30.src.rpm
python3-pyvirtualize.noarch: W: spelling-error %description -l en_US pyVmomi -> pyromania
python3-pyvirtualize.noarch: W: spelling-error %description -l en_US vSphere -> v Sphere, sphere
python3-pyvirtualize.noarch: W: spelling-error %description -l en_US datacenters -> data centers, data-centers, entertainers
python3-pyvirtualize.noarch: W: spelling-error %description -l en_US VMs -> V Ms, Ms, PMs
python-pyvirtualize-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-pyvirtualize-doc/html/.buildinfo
python-pyvirtualize-doc.noarch: W: hidden-file-or-dir /usr/share/doc/python-pyvirtualize-doc/html/.nojekyll
python-pyvirtualize-doc.noarch: E: zero-length /usr/share/doc/python-pyvirtualize-doc/html/.nojekyll
python-pyvirtualize-doc.noarch: W: dangling-symlink /usr/share/doc/python-pyvirtualize-doc/html/_static/jquery.js /usr/share/javascript/jquery/3/jquery.js
python-pyvirtualize.src: W: spelling-error %description -l en_US pyVmomi -> pyromania
python-pyvirtualize.src: W: spelling-error %description -l en_US vSphere -> v Sphere, sphere
python-pyvirtualize.src: W: spelling-error %description -l en_US datacenters -> data centers, data-centers, entertainers
python-pyvirtualize.src: W: spelling-error %description -l en_US VMs -> V Ms, Ms, PMs
python-pyvirtualize.src: E: invalid-spec-name
3 packages and 0 specfiles checked; 2 errors, 11 warnings.

Comment 6 Raphael Groner 2018-12-16 07:56:55 UTC
Sorry for the delay.

Reuploaded files with new name as requested and the minor fix for leftover files.

SPEC: https://raphgro.fedorapeople.org/review/py/pyvirtualize/python-pyvirtualize.spec
SRPM: https://raphgro.fedorapeople.org/review/py/pyvirtualize/python-pyvirtualize-0.9-2.20181003git57d2307.fc29.src.rpm

Comment 7 Robert-André Mauchin 2018-12-18 16:00:39 UTC
Ok package approved.

Comment 9 Gwyn Ciesla 2018-12-18 16:31:25 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-pyvirtualize

Comment 10 Fedora Update System 2018-12-18 18:42:10 UTC
python-pyvirtualize-0.9-2.20181003git57d2307.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-924c63f6b2

Comment 11 Raphael Groner 2018-12-18 18:43:18 UTC
Imported and built in rawhide and epel7.

https://bodhi.fedoraproject.org/updates/python-pyvirtualize-0.9-2.20181003git57d2307.el7

Comment 12 Fedora Update System 2018-12-19 00:47:43 UTC
python-pyvirtualize-0.9-2.20181003git57d2307.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-924c63f6b2

Comment 13 Fedora Update System 2019-01-18 20:27:01 UTC
python-pyvirtualize-0.9-2.20181003git57d2307.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-924c63f6b2

Comment 14 Fedora Update System 2019-01-19 03:00:47 UTC
python-pyvirtualize-0.9-2.20181003git57d2307.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-924c63f6b2

Comment 15 Fedora Update System 2019-02-04 10:00:00 UTC
python-pyvirtualize-0.9-2.20181003git57d2307.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-03-04 06:31:11 UTC
python-pyvirtualize-0.9-4.20181003git57d2307.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-ba72aad195

Comment 17 Fedora Update System 2019-03-12 16:37:20 UTC
python-polib-1.0.7-10.el7 python-pretend-1.0.8-4.el7 python-process-tests-1.0.0-11.el7 python-productmd-1.20-3.el7 python-prompt_toolkit-1.0.15-2.el7 python-psutil-2.2.1-5.el7 python-ptyprocess-0.5.1-7.el7 python-pycodestyle-2.0.0-6.el7 python-pycosat-0.6.3-2.el7 python-pycryptodomex-3.7.3-2.el7 python-pyev-0.9.0-0.2.20130610gite31d137.el7 python-PyGithub-1.39-5.el7 python-pygraphviz-1.3-2.rc2.el7.2 python-pymilter-1.0.3-2.el7 python-pymssql-2.1.3-3.el7 python-PyMySQL-0.9.2-2.el7 python-pypandoc-1.3.3-3.el7 python-pyroute2-0.4.13-2.el7 python-pyside-1.2.4-2.el7 python-pysocks-1.6.8-6.el7 python-pytest-catchlog-1.2.2-3.el7 python-pytest-runner-3.0-2.el7 python-pytest-xdist-1.17.1-3.el7 python-pyvirtualize-0.9-5.20181003git57d2307.el7 python-pyvmomi-6.7.1-3.el7 python-pyxs-0.4.1-2.el7 python-regex-2019.02.07-2.el7 python-rencode-1.0.5-4.el7 python-responses-0.5.1-7.el7 python-rope-0.12.0-2.el7 python-rpdb-0.1.5-3.el7.1 python-rpm-macros-3-23.el7 python-ruamel-yaml-0.13.14-2.el7 python-scandir-1.9.0-2.el7 python-scripttest-1.3.0-10.el7 python-setuptools_scm-1.17.0-3.el7 python-sh-1.12.14-7.el7 python-simplejson-3.10.0-2.el7 python-simplepath-0.3.4-2.el7 python-slacker-0.12.0-4.el7 python-sphinx-autobuild-0.7.1-9.el7 python-sphinx-theme-alabaster-0.7.9-2.el7 python-spur-0.3.17-2.el7 python-structlog-17.2.0-2.el7 python-terminado-0.6-3.el7 python-texttable-1.4.0-2.el7 python-tinydb-3.10.0-2.el7 python-toml-0.9.4-4.el7 python-toolz-0.9.0-8.el7 python-traitlets-4.3.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0f4cca7837

Comment 18 Fedora Update System 2019-03-12 22:42:44 UTC
python-PyGithub-1.39-5.el7, python-PyMySQL-0.9.2-2.el7, python-polib-1.0.7-10.el7, python-pretend-1.0.8-4.el7, python-process-tests-1.0.0-11.el7, python-productmd-1.20-3.el7, python-prompt_toolkit-1.0.15-2.el7, python-psutil-2.2.1-5.el7, python-ptyprocess-0.5.1-7.el7, python-pycodestyle-2.0.0-6.el7, python-pycosat-0.6.3-2.el7, python-pycryptodomex-3.7.3-2.el7, python-pyev-0.9.0-0.2.20130610gite31d137.el7, python-pygraphviz-1.3-2.rc2.el7.2, python-pymilter-1.0.3-2.el7, python-pymssql-2.1.3-3.el7, python-pypandoc-1.3.3-3.el7, python-pyroute2-0.4.13-2.el7, python-pyside-1.2.4-2.el7, python-pysocks-1.6.8-6.el7, python-pytest-catchlog-1.2.2-3.el7, python-pytest-runner-3.0-2.el7, python-pytest-xdist-1.17.1-3.el7, python-pyvirtualize-0.9-5.20181003git57d2307.el7, python-pyvmomi-6.7.1-3.el7, python-pyxs-0.4.1-2.el7, python-regex-2019.02.07-2.el7, python-rencode-1.0.5-4.el7, python-responses-0.5.1-7.el7, python-rope-0.12.0-2.el7, python-rpdb-0.1.5-3.el7.1, python-rpm-macros-3-23.el7, python-ruamel-yaml-0.13.14-2.el7, python-scandir-1.9.0-2.el7, python-scripttest-1.3.0-10.el7, python-setuptools_scm-1.17.0-3.el7, python-sh-1.12.14-7.el7, python-simplejson-3.10.0-2.el7, python-simplepath-0.3.4-2.el7, python-slacker-0.12.0-4.el7, python-sphinx-autobuild-0.7.1-9.el7, python-sphinx-theme-alabaster-0.7.9-2.el7, python-spur-0.3.17-2.el7, python-structlog-17.2.0-2.el7, python-terminado-0.6-3.el7, python-texttable-1.4.0-2.el7, python-tinydb-3.10.0-2.el7, python-toml-0.9.4-4.el7, python-toolz-0.9.0-8.el7, python-traitlets-4.3.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0f4cca7837

Comment 19 Fedora Update System 2019-03-13 15:19:24 UTC
python-PyGithub-1.39-5.el7 python-PyMySQL-0.9.2-2.el7 python-polib-1.0.7-10.el7 python-pretend-1.0.8-4.el7 python-process-tests-1.0.0-11.el7 python-productmd-1.20-3.el7 python-prompt_toolkit-1.0.15-2.el7 python-psutil-2.2.1-5.el7 python-ptyprocess-0.5.1-7.el7 python-pycodestyle-2.0.0-6.el7 python-pycosat-0.6.3-2.el7 python-pycryptodomex-3.7.3-2.el7 python-pyev-0.9.0-0.2.20130610gite31d137.el7 python-pygraphviz-1.3-2.rc2.el7.2 python-pymilter-1.0.3-2.el7 python-pymssql-2.1.3-3.el7 python-pypandoc-1.3.3-3.el7 python-pyroute2-0.4.13-2.el7 python-pyside-1.2.4-2.el7 python-pysocks-1.6.8-6.el7 python-pytest-catchlog-1.2.2-3.el7 python-pytest-runner-3.0-2.el7 python-pytest-xdist-1.17.1-3.el7 python-pyvirtualize-0.9-5.20181003git57d2307.el7 python-pyvmomi-6.7.1-3.el7 python-pyxs-0.4.1-2.el7 python-rencode-1.0.5-4.el7 python-responses-0.5.1-7.el7 python-rope-0.12.0-2.el7 python-rpdb-0.1.5-3.el7.1 python-rpm-macros-3-23.el7 python-ruamel-yaml-0.13.14-2.el7 python-scandir-1.9.0-2.el7 python-scripttest-1.3.0-10.el7 python-setuptools_scm-1.17.0-3.el7 python-sh-1.12.14-7.el7 python-simplejson-3.10.0-2.el7 python-simplepath-0.3.4-2.el7 python-slacker-0.12.0-4.el7 python-sphinx-autobuild-0.7.1-9.el7 python-sphinx-theme-alabaster-0.7.9-2.el7 python-spur-0.3.17-2.el7 python-structlog-17.2.0-2.el7 python-terminado-0.6-3.el7 python-texttable-1.4.0-2.el7 python-tinydb-3.10.0-2.el7 python-toml-0.9.4-4.el7 python-toolz-0.9.0-8.el7 python-traitlets-4.3.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0f4cca7837

Comment 20 Fedora Update System 2019-03-13 18:00:04 UTC
python-PyGithub-1.39-5.el7, python-PyMySQL-0.9.2-2.el7, python-polib-1.0.7-10.el7, python-pretend-1.0.8-4.el7, python-process-tests-1.0.0-11.el7, python-productmd-1.20-3.el7, python-prompt_toolkit-1.0.15-2.el7, python-psutil-2.2.1-5.el7, python-ptyprocess-0.5.1-7.el7, python-pycodestyle-2.0.0-6.el7, python-pycosat-0.6.3-2.el7, python-pycryptodomex-3.7.3-2.el7, python-pyev-0.9.0-0.2.20130610gite31d137.el7, python-pygraphviz-1.3-2.rc2.el7.2, python-pymilter-1.0.3-2.el7, python-pymssql-2.1.3-3.el7, python-pypandoc-1.3.3-3.el7, python-pyroute2-0.4.13-2.el7, python-pyside-1.2.4-2.el7, python-pysocks-1.6.8-6.el7, python-pytest-catchlog-1.2.2-3.el7, python-pytest-runner-3.0-2.el7, python-pytest-xdist-1.17.1-3.el7, python-pyvirtualize-0.9-5.20181003git57d2307.el7, python-pyvmomi-6.7.1-3.el7, python-pyxs-0.4.1-2.el7, python-rencode-1.0.5-4.el7, python-responses-0.5.1-7.el7, python-rope-0.12.0-2.el7, python-rpdb-0.1.5-3.el7.1, python-rpm-macros-3-23.el7, python-ruamel-yaml-0.13.14-2.el7, python-scandir-1.9.0-2.el7, python-scripttest-1.3.0-10.el7, python-setuptools_scm-1.17.0-3.el7, python-sh-1.12.14-7.el7, python-simplejson-3.10.0-2.el7, python-simplepath-0.3.4-2.el7, python-slacker-0.12.0-4.el7, python-sphinx-autobuild-0.7.1-9.el7, python-sphinx-theme-alabaster-0.7.9-2.el7, python-spur-0.3.17-2.el7, python-structlog-17.2.0-2.el7, python-terminado-0.6-3.el7, python-texttable-1.4.0-2.el7, python-tinydb-3.10.0-2.el7, python-toml-0.9.4-4.el7, python-toolz-0.9.0-8.el7, python-traitlets-4.3.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-0f4cca7837

Comment 21 Fedora Update System 2019-04-03 18:50:45 UTC
python-PyGithub-1.39-5.el7, python-PyMySQL-0.9.2-2.el7, python-polib-1.0.7-10.el7, python-pretend-1.0.8-4.el7, python-process-tests-1.0.0-11.el7, python-productmd-1.20-3.el7, python-prompt_toolkit-1.0.15-2.el7, python-psutil-2.2.1-5.el7, python-ptyprocess-0.5.1-7.el7, python-pycodestyle-2.0.0-6.el7, python-pycosat-0.6.3-2.el7, python-pycryptodomex-3.7.3-2.el7, python-pyev-0.9.0-0.2.20130610gite31d137.el7, python-pygraphviz-1.3-2.rc2.el7.2, python-pymilter-1.0.3-2.el7, python-pymssql-2.1.3-3.el7, python-pypandoc-1.3.3-3.el7, python-pyroute2-0.4.13-2.el7, python-pyside-1.2.4-2.el7, python-pysocks-1.6.8-6.el7, python-pytest-catchlog-1.2.2-3.el7, python-pytest-runner-3.0-2.el7, python-pytest-xdist-1.17.1-3.el7, python-pyvirtualize-0.9-5.20181003git57d2307.el7, python-pyvmomi-6.7.1-3.el7, python-pyxs-0.4.1-2.el7, python-rencode-1.0.5-4.el7, python-responses-0.5.1-7.el7, python-rope-0.12.0-2.el7, python-rpdb-0.1.5-3.el7.1, python-rpm-macros-3-23.el7, python-ruamel-yaml-0.13.14-2.el7, python-scandir-1.9.0-2.el7, python-scripttest-1.3.0-10.el7, python-setuptools_scm-1.17.0-3.el7, python-sh-1.12.14-7.el7, python-simplejson-3.10.0-2.el7, python-simplepath-0.3.4-2.el7, python-slacker-0.12.0-4.el7, python-sphinx-autobuild-0.7.1-9.el7, python-sphinx-theme-alabaster-0.7.9-2.el7, python-spur-0.3.17-2.el7, python-structlog-17.2.0-2.el7, python-terminado-0.6-3.el7, python-texttable-1.4.0-2.el7, python-tinydb-3.10.0-2.el7, python-toml-0.9.4-4.el7, python-toolz-0.9.0-8.el7, python-traitlets-4.3.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.